#ifndef lint
static char *RCSid = "$Header: /usr/brule/guest/empire/empire/emprcs/lib/gen/svr4.c,v 2.0 1995/07/27 05:56:17 empire Exp $";
#endif

/*
 * svr4.c
 *
 * SVR4 dependencies
 *
 */


#if defined solaris || defined hpux

#include "misc.h"
#include <stdio.h>


bcopy(src, dst, len)
	char *src, *dst;
	int len;
{
	memcpy(dst, src, len);
}


bzero(buf, len)
	char *buf;
	int len;
{
	memset(buf, 0, len);
}


char *
index(buf, c)
	char *buf, c;
{
	return strchr(buf, c);
}

char *
rindex(buf, c)
	char *buf, c;
{
	return strrchr(buf, c);
}

setbuffer(fp, buf, size)
	FILE	*fp;
	s_char	*buf;
	int	size;
{
	setvbuf(fp, buf, _IONBF, (size_t) size);
}


int
ffs(mask)
	register unsigned mask;
{
	register unsigned bit;
	register int i;

	if (mask == 0)
		return 0;
	for (bit=1, i=1; i <= 32; i++, bit <<= 1)
		if (mask & bit)
			return i;
	return 0;
}


srandom(n)
	long	n;
{
	extern void srand48();

	srand48(n);
}


long
random()
{
	extern	long lrand48();

	return (lrand48());
}

#endif
